Ask Your Question
0

Scriptlet Error while installing applications using yum [closed]

asked 2014-01-17 14:00:28 -0500

Gaurav Dighe gravatar image

updated 2014-02-13 13:44:56 -0500

mether gravatar image

I did a fresh install of Fedora 20 and added RPMFusion Repositories. When i try to install any applications i am getting "Non-fatal POSTIN scriptlet failure in rpm package"

Please respond.

edit retag flag offensive reopen merge delete

Closed for the following reason duplicate question by mether
close date 2014-01-17 15:50:20.974156

Comments

mayorga gravatar imagemayorga ( 2014-01-17 14:03:35 -0500 )edit

1 Answer

Sort by ยป oldest newest most voted
0

answered 2014-01-17 14:06:33 -0500

Kronolynx gravatar image

It is a known issue, I can't post links but if you search you will find that you should do this

su -
    setenforce 0
    yum clean expire-cache
    yum --enablerepo=updates-testing update selinux-policy\*
    setenforce 1

Please ensure that this installs this version of the package: selinux-policy-3.12.1-117.fc20.noarch
edit flag offensive delete link more

Comments

Hi,I did this and it worked out.

But when i try to execute yum distro-sync I am getting a message to downgrade the selinux-policy to 3.2.1.116.

Why is this so?

Second thing do i need to install Rpm Fusion separately ?

Please guide.

Gaurav Dighe gravatar imageGaurav Dighe ( 2014-01-17 23:06:22 -0500 )edit

Don't distro sync yet. If you downgrade the package, you'll run into scriptlet issues again.

FranciscoD_ gravatar imageFranciscoD_ ( 2014-01-17 23:47:24 -0500 )edit

Question Tools

Stats

Asked: 2014-01-17 14:00:28 -0500

Seen: 206 times

Last updated: Jan 17 '14